﻿/*********************************************************************************************/
/* NOTE: This css file is used to override or customise CSS for existing SharePoint controls */
/*********************************************************************************************/

.ms-srch-item { width:100%; }

.ms-srch-Paging .ms-promlink-button {
    padding-left:0px;
    padding-top:0px;
}

input[type="button"], input[type="reset"], input[type="submit"], button {
    min-width: 1em;
}

/* set all links to be corporate blue/underlined*/
#ctl00_PlaceHolderMain_RichHtmlField1__ControlWrapper_RichHtmlField a {
     text-decoration:underline;
     color:#330099;
}

#ctl00_PlaceHolderMain_RichHtmlField1__ControlWrapper_RichHtmlField a:hover, #ctl00_PlaceHolderMain_RichHtmlField1__ControlWrapper_RichHtmlField a:focus { text-decoration:none; }

/* Override MS Search CSS*/
/*
    http://blog.sharepointexperience.com/2013/07/how-to-use-icon-fonts-with-sharepoint/#search2013
*/

.search-form .ms-srch-sbLarge input {
    border: 0px;
}

.ms-srch-hover-outerContainer { display: none !important; }

.ms-srch-sbLarge > .ms-srch-sb-searchLink {
height: 32px;
width: 64px;
}


#SearchBox .ms-srch-sb-searchLink img {
  display: none;
}

#SearchBox .ms-srch-sb-searchLink:before {
    content: 'Search'; 
    font-family: Helvetica;
    font-size: 1em;  
    color: #fff;  
    background-color:#4db308;
    
}

#SearchBox .ms-srch-sb-searchLink {
    padding:5px;
    background-color:#4db308;
    text-align:center
}

#SearchBox .ms-srch-sb-searchLink:hover {
    padding:5px;
    background-color:#4db308;
    text-align:center
}


@media (max-width: 991px) {

    .ms-WPBody .ms-floatLeft {
        width:99%;
    }

     .ms-WPBody .ms-srch-sbLarge-fullWidth {
        width:69%;
    }

    .ms-WPBody .ms-srch-sb-searchLink {
        width:28.5%;
    }

    .search-form .ms-floatLeft {
        width:99%;
    }

    .search-form .ms-srch-sb-searchLink {
        width:30%;
    }

    .ms-srch-sbLarge {
        display: block;
    }

}

/*END of MS Search overrides*/


/* Downloads AND External Links (SummaryLinks) Control*/
ul.panel-menu li:before { content: "\00BB\0020"; } /* Adds chevron and space to LI elements */
div.dfwp-column { padding-left: 0; }
#ctl00_PlaceHolderMain_Links__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list li { margin-left: 0; padding-left: 0.8em; text-indent: -0.8em; }
.light-green-panel ul.dfwp-list > li { color: #4DB309; }
.light-red-panel ul.dfwp-list > li { color: #a54079; }
.light-blue-panel ul.dfwp-list > li { color: #2993d1; }
#ctl00_PlaceHolderMain_Links__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li:before { content: "\00BB"; } /* Adds chevron to LI elements in Links control */
#ctl00_PlaceHolderMain_Links__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li.slm-layout-main:before { content: ""; } /* remove chevron and space from Links LI elements in Edit mode */
ul.dfwp-list > li a { color: #424D5E; padding-left:4px; }
ul.dfwp-list > li a:hover { color: #000; }
ul.dfwp-list > li { padding: 0 0 0 4px; }
ul.dfwp-list div.item {
    padding: 0;
}

/* Download Link Icons */
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a
{
    background:transparent url('/_layouts/images/icgen.gif') center left no-repeat;
    display:inline-block;
    padding-left:20px;
    margin-left: -4px;
    content: "\0020\0020";
}

/* hide description div */
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > div.description {
    display: none;
}

/* PDF document links */
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.pdf'] {
    background:transparent url('/_catalogs/masterpage/CorporateSite/img/Icon-Pdf.gif') center left no-repeat;
}
 
/* Excel Documents links */
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.xls'],
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.xlsx'],
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.csv'],
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.xlw'],
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.xlt'] {
    background:transparent url('/_layouts/images/icxls.gif') center left no-repeat;
}
 
/* Word Document Links */
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.doc'],
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.dot'],
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.dotx'],
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.rtf'],
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.wps'],
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.txt'],
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.docx'] {
    background:transparent url('/_layouts/images/icdocx.gif') center left no-repeat;
}

/* Image Links */
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.jpg'],
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.jpeg'],
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.gif'],
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.png'],
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.bmp'],
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.ttf'] {
    background:transparent url('/_layouts/images/icjpg.gif') center left no-repeat;
}

/* Zipped Documents links */
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.zip'],
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.rar'],
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.7z'] {
    background:transparent url('/_layouts/images/iczip.gif') center left no-repeat;
}
 
/* Powerpoint Documents links */
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.ppt'],
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href$='.pptx'] {
    background:transparent url('/_layouts/images/icppt.gif') center left no-repeat;
}
 
/* mailto: links */
#ctl00_PlaceHolderMain_Downloads__ControlWrapper_SummaryLinkFieldControl ul.dfwp-list > li > a[href^="mailto:"] {
    background:transparent url('/_layouts/images/iceml.gif') center left no-repeat;
}
/* End of Downloads AND External Links */


/* Ribbon customisations */
.custommarkupPosition-1 { -ms-name:"Left"; float:left; }
.custommarkupPosition-2 { -ms-name:"Right"; float:right; }
.custommarkupPosition-3 { -ms-name:"Top"; vertical-align:text-top; }
.custommarkupPosition-4 { -ms-name:"Middle"; vertical-align:middle; }
.custommarkupPosition-5 { -ms-name:"Bottom"; vertical-align:text-bottom; }

.custommarkupImage-default { max-width:100%; }
.custommarkupImage-0 { -ms-name:"No border"; max-width:100%; }
.custommarkupImage-1 { -ms-name:"Thin line border"; max-width:100%; /* [ReplaceColor(themeColor:"Dark2")] */ background-color:#182738; /* [ReplaceColor(themeColor:"Dark2-Darker")] */ border:1px solid #385b83; /* [RecolorImage(themeColor:"Dark2-Medium",method:"Tinting")] */ background-image:url("/_layouts/images/tabtitlerowbottombg.png"); background-repeat:repeat-x; background-position:top; }
.custommarkupImage-2 { -ms-name:"Table border"; max-width:100%; padding:2px; /* [ReplaceColor(themeColor:"Light1-Lighter")] */ border-top:1px solid #D8D8D8; /* [ReplaceColor(themeColor:"Light1-Medium")] */ border-bottom:1px solid #BFBFBF; /* [ReplaceColor(themeColor:"Light1-Lighter")] */ border-left:1px solid #D8D8D8; /* [ReplaceColor(themeColor:"Light1-Medium")] */ border-right:1px solid #BFBFBF; }
.custommarkupImage-3 { -ms-name:"Dark border"; max-width:100%; padding:15px; /* [ReplaceColor(themeColor:"Dark2")] */ background-color:#182738; /* [ReplaceColor(themeColor:"Dark2-Darker")] */ border:1px solid 385b83; /* [RecolorImage(themeColor:"Dark2-Medium",method:"Tinting")] */ background-image:url("/_layouts/images/tabtitlerowbottombg.png"); background-attachment:fixed; background-repeat:repeat-x; background-position:left bottom; }
.custommarkupImage-4 { -ms-name:"Light border"; max-width:100%; padding:6px; padding-bottom:33px; /* [ReplaceColor(themeColor:"Light1-Lightest")] */ background-color:#F2F2F2; /* [ReplaceColor(themeColor:"Light1-Lighter")] */ border-top:1px solid #D8D8D8; /* [ReplaceColor(themeColor:"Light1-Medium")] */ border-bottom:1px solid #BFBFBF; /* [ReplaceColor(themeColor:"Light1-Lighter")] */ border-left:1px solid #D8D8D8; /* [ReplaceColor(themeColor:"Light1-Medium")] */ border-right:1px solid #BFBFBF; background-image:url("/_layouts/images/selbg.png"); background-repeat:repeat-x; background-position:top; }
    
.custommarkupTable-default, .custommarkupTableHeaderFirstCol-default, .custommarkupTableHeaderLastCol-default, .custommarkupTableHeaderOddCol-default, .custommarkupTableHeaderEvenCol-default, .custommarkupTableFirstCol-default,
.custommarkupTableLastCol-default, .custommarkupTableOddCol-default, .custommarkupTableEvenCol-default, .custommarkupTableFooterFirstCol-default, .custommarkupTableFooterLastCol-default, .custommarkupTableFooterOddCol-default,
.custommarkupTableFooterEvenCol-default, TD.custommarkupTable-default, TH.custommarkupTable-default, .custommarkupTablecells
{ -ms-name:"Default Style"; /* [ReplaceColor(themeColor:"Light1-Medium")] */ border:solid 1px #c4c4c4; padding:2px; vertical-align:top; }
    

.custommarkupTable-0 { -ms-name:"Clear Border Style"; border-width:0px; border-style:none; border-collapse:collapse; }

.custommarkupTableGrid td,.custommarkupTableGrid th { border:1px dotted black; }

h2.custommarkupElement-h2 { -ms-name:"Heading 2"; font-size:150%; font-weight:bold; color:inherit; margin-bottom:10px; }
h3.custommarkupElement-h3 { -ms-name:"Heading 3"; font-size:125%; font-weight:bold; color:inherit; margin-bottom:10px; }
h4.custommarkupElement-h4 { -ms-name:"Heading 4"; font-size:100%; font-weight:bold; color:inherit; margin-bottom:10px; }
p.custommarkupElement-p { -ms-name:"Paragraph"; font-size:100%; }
a.custommarkupElement-a { -ms-name:"Portal link"; font-size:125%; color:#ffffff !important; padding:10px; background-color: #332A86; display: inline-block; margin:15px 0 15px 0; text-decoration:none !important; }
a.custommarkupElement-a:hover { background-color: #1C0858; text-decoration:underline !important; }
a.custommarkupElement-a:focus { border: 3px solid #4DB309; text-decoration:underline !important; }
/* ribbon customisations */

/*the following is specifically for images added to rich html fields*/
.richhtmlPlaceholder img { max-width: 100%; }